/*===========================================================================*/
/*  head  */
/*===========================================================================*/
.p-contact__head--input {
    display: block;
}

.p-contact__head--confirm {
    display: none;
}

body:has(.wpcf7-form-control.wpcf7-submit.has-spinner) .--input-title {
    display: none;
}
body:has(.wpcf7-form-control.wpcf7-submit.has-spinner) .--confirm-title {
    display: block;
}

/*===========================================================================*/
/*  mv  */
/*===========================================================================*/
.p-contactMv {
    padding-top: 135px;
    padding-bottom: 42px;
    border-bottom: #191919 solid 1px;
}

.p-contactMv__head {
    font-feature-settings: 'palt' on;
    font-size: 36px;
    line-height: 1.5;
    letter-spacing: .02em;
}

@media screen and (max-width: 900px) {
    .p-contactMv {
        padding-top: 80px;
        padding-bottom: 30px;
    }

    .p-contactMv__head {
        font-size: 22px;
    }
}

/*===========================================================================*/
/*  contents  */
/*===========================================================================*/
.p-contactContents {
    margin-bottom: 100px;
    border-bottom: #191919 solid 1px;
    display: flex;
    position: relative;
}

.p-contactContents__side {
    width: 273px;
    padding: 60px 40px;
    position: relative;
}

.p-contactContents__side--list {
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.p-contactContents__side--list li {
    display: flex;
    align-items: center;
    gap: 14px;
}

.p-contactContents__side--list li .--en {
    width: 28px;
    height: 28px;
    background-color: #c3c3c3;
    color: #fff;
    border-radius: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    line-height: 1;
}
.p-contactContents__side--list li.--active .--en {
    background-color: #191919;
}

.p-contactContents__side--list li .--ja {
    color: #7a7a7a;
    font-feature-settings: 'palt' on;
    font-size: 15px;
    line-height: 1.5;
    letter-spacing: .02em;
}
.p-contactContents__side--list li.--active .--ja {
    color: #191919;
}

.p-contactContent {
    width: calc(100% - 273px);
    padding: 60px 0 0;
    border-left: #191919 solid 1px;
}

.p-contactContent__inner {
    padding: 0 6.8%;
}

.p-contactContent__txt {
    font-feature-settings: 'palt' on;
    font-size: 16px;
    line-height: 1.8;
    letter-spacing: .02em;
}

.p-contactContent__contents--table {
    margin-top: 46px;
    display: flex;
    flex-direction: column;
    gap: 35px;
}
.p-contactContent.--confirm .p-contactContent__contents--table {
    margin-top: 0;
    gap: 60px;
}

.p-contactContent__contents--table dl {
    display: flex;
    align-items: flex-start;
}

.p-contactContent__contents--table dl dt {
    width: 232px;
    font-size: 18px;
    line-height: 1.8;
    letter-spacing: .02em;
    font-weight: 600;
    padding-top: 19px;
    font-feature-settings: 'palt' on;
}
.p-contactContent.--confirm .p-contactContent__contents--table dl dt {
    padding-top: 0;
}

.p-contactContent__contents--table dl dt .--required {
    color: #FF2B00;
    font-size: 10px;
    transform: translate(5px, -6px);
}

.p-contactContent__contents--table dl dd {
    width: calc(100% - 232px);
}
.p-contactContent.--confirm .p-contactContent__contents--table dl dd {
    font-size: 18px;
    line-height: 1.8;
    letter-spacing: .02em;
}

.p-contactContent__contents--table dl dd.--select {
    position: relative;
}

.p-contactContent__contents--table dl dd.--select::before {
    background: url('../img/contact/select-arrow.png') no-repeat center center/contain;
    content: '';
    height: 10px;
    right: 17px;
    position: absolute;
    top: 50%;
    width: 9px;
    transform: translate(0, -50%);
    pointer-events: none;
    z-index: 2;
}
.p-contactContent__contents--table dl dd.--select::after {
    background-color: #fff;
    content: '';
    height: 30px;
    right: 45px;
    position: absolute;
    top: 50%;
    width: 1px;
    transform: translate(0, -50%);
    pointer-events: none;
    z-index: 2;
}

.p-contactContent__contents--table dl dd.--select.is-other::before {
    background: url('../img/contact/select-arrow-black.png') no-repeat center center/contain;
}

.p-contactContent__contents--table dl dd.--select.is-other::after {
    background-color: #191919;
}

.p-contactContent.--confirm .p-contactContent__contents--table dl dd.--select::before {
    display: none;
}
.p-contactContent.--confirm .p-contactContent__contents--table dl dd.--select::after {
    display: none;
}

.p-contactContent__contents--table dl dd>span {
    width: 100%;
}

.confirm_area .p-contactContent__contents--table dl dd>span {
    font-family: 
        "Hiragino Mincho ProN",
        "BIZ UDPGothic",
        "Hiragino Kaku Gothic ProN",
        "Meiryo",
        sans-serif;
    font-weight: 500;
}

.p-contactContent__contents--table dl dd>span input[type=text],
.p-contactContent__contents--table dl dd>span input[type=email],
.p-contactContent__contents--table dl dd>span input[type=tel],
.p-contactContent__contents--table dl dd>span textarea,
.p-contactContent__contents--table dl dd>span select {
    width: 100%;
    background-color: #fff;
    padding: 19px 28px;
    border-radius: 6px;
    font-feature-settings: 'palt' on;
    font-size: 18px;
    line-height: 1.8;
    letter-spacing: .02em;
    outline: none;
    font-family: "Hiragino Mincho ProN",
        "BIZ UDPGothic",
        "Hiragino Kaku Gothic ProN",
        "Meiryo",
        sans-serif;
    font-weight: 400;;
}
.p-contactContent__contents--table dl dd>span input[type=text]:focus,
.p-contactContent__contents--table dl dd>span input[type=email]:focus,
.p-contactContent__contents--table dl dd>span input[type=tel]:focus,
.p-contactContent__contents--table dl dd>span textarea:focus,
.p-contactContent__contents--table dl dd>span select:focus {
    box-shadow: 0px 0px 2px 0px #191919;
}

.p-contactContent__contents--table ::placeholder {
    color: #cfcfcf;
    font-family: TsukuGoPr5-D;
}

.p-contactContent__contents--table dl dd>span select {
    background-color: #191919;
    color: #fff;
}

.p-contactContent__contents--table dl dd>span textarea {
    resize: vertical;
    min-height: 294px;
}

.p-contactContent__contents--privacy {
    margin-top: 62px;
    text-align: center;
    font-feature-settings: 'palt' on;
    font-size: 18px;
    line-height: 1;
    letter-spacing: .02em;
}

.p-contactContent__contents--privacy input {
    display: none;
}

.p-contactContent__contents--privacy .wpcf7-list-item-label {
    position: relative;
    padding-left: 33px;
}
.p-contactContent__contents--privacy .wpcf7-list-item-label::before {
    content: '';
    height: 22px;
    left: 0;
    position: absolute;
    top: -2px;
    width: 22px;
    background-color: #fff;
    border: #c3c3c3 solid 1px;
    border-radius: 3px;
}
.p-contactContent__contents--privacy .wpcf7-list-item-label::after {
    background: url('../img/contact/check.png') no-repeat center center/contain;
    content: '';
    height: 22px;
    left: 0;
    position: absolute;
    top: -2px;
    width: 22px;
    opacity: 0;
}
.p-contactContent__contents--privacy input:checked + .wpcf7-list-item-label::after {
    opacity: 1;
}

.p-contactContent__contents--privacy a {
    text-decoration: underline;
}

.p-contactContent__contents--btn {
    margin-top: 60px;
}
.p-contactContent__contents--btn.--confirm {
    margin-top: 80px;
}

.p-contactContent__btn {
    position: relative;
    height: 140px;
    background-color: #191919;
    display: flex;
    align-items: center;
    justify-content: center;
}
.p-contactContent__contents--btn.--confirm .p-contactContent__btn {
    background-color: #191919;
}
.p-contactContent__btn.inactive {
    background-color: #c3c3c3;
}

.p-contactContent__btn--txt {
    color: #fff;
    font-feature-settings: 'palt' on;
    font-size: 26px;
    line-height: 1.5;
    letter-spacing: .02em;
}

.p-contactContent__btn input[type=button],
.p-contactContent__btn input[type=submit] {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    opacity: 0;
}
.p-contactContent__btn.inactive input[type=button],
.p-contactContent__btn.inactive input[type=submit] {
    cursor: not-allowed;
}

.p-contactContent__btn--arrow {
    position: absolute;
    width: 16px;
    height: 16px;
    right: 60px;
    top: 50%;
    transform: translate(0, -50%);
}

.p-contactContent__btn--arrow svg {
    width: 100%;
    fill: #fff;
}

.p-contactContent__back {
    position: absolute;
    left: 40px;
    bottom: 54px;
}

.p-contactContent__back input {
    font-feature-settings: 'palt' on;
    font-size: 18px;
    line-height: 1.8;
    letter-spacing: .02em;
    text-decoration: underline;
}

.p-contactInput__privacy--recaptcha {
    margin-top: 15px;
    line-height: 1.4;
    font-size: 12px;
    text-align: center;
}

.p-contactInput__privacy--recaptcha a {
    text-decoration: underline;
}

@media screen and (max-width: 900px) {
    .p-contactContents {
        margin-bottom: 0;
        padding-bottom: 50px;
        border-bottom: none;
        display: block;
    }

    .p-contactContents__side {
        width: 100%;
        padding: 26px 5.2%;
        position: relative;
        border-bottom: #191919 solid 1px;
    }

    .p-contactContents__side--list {
        flex-direction: row;
        gap: 22px;
        align-items: center;
        justify-content: center;
    }

    .p-contactContents__side--list li {
        gap: 7px;
    }

    .p-contactContents__side--list li .--en {
        width: 19px;
        height: 19px;
        font-size: 10px;
    }

    .p-contactContents__side--list li .--ja {
        font-size: 13px;
    }

    .p-contactContent {
        width: 100%;
        padding: 30px 0 0;
        border-left: none;
    }

    .p-contactContent__inner {
        padding: 0 5.2%;
    }

    .p-contactContent__txt {
        font-size: 14px;
        line-height: 2;
    }

    .p-contactContent__contents--table {
        margin-top: 35px;
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
    .p-contactContent.--confirm .p-contactContent__contents--table {
        gap: 25px;
    }

    .p-contactContent__contents--table dl {
        display: block;
    }

    .p-contactContent__contents--table dl dt {
        width: 100%;
        font-size: 14px;
        padding-top: 0;
    }

    .p-contactContent__contents--table dl dt .--required {
        transform: translate(4px, -4px);
    }

    .p-contactContent__contents--table dl dd {
        width: 100%;
        margin-top: 8px;
    }
    .p-contactContent.--confirm .p-contactContent__contents--table dl dd {
        font-size: 14px;
        margin-top: 2px;
    }

    .p-contactContent__contents--table dl dd.--select {
        position: relative;
    }

    .p-contactContent__contents--table dl dd.--select::before {
        right: 13px;
    }
    .p-contactContent__contents--table dl dd.--select::after {
        right: 37px;
    }

    .p-contactContent__contents--table dl dd>span {
        width: 100%;
    }

    .p-contactContent__contents--table dl dd>span input[type=text],
    .p-contactContent__contents--table dl dd>span input[type=email],
    .p-contactContent__contents--table dl dd>span input[type=tel],
    .p-contactContent__contents--table dl dd>span textarea,
    .p-contactContent__contents--table dl dd>span select {
        padding: 15px 20px;
        font-size: 14px;
    }

    .p-contactContent__contents--table dl dd>span textarea {
        min-height: 190px;
    }

    .p-contactContent__contents--privacy {
        margin-top: 32px;
        font-size: 14px;
    }

    .p-contactContent__contents--privacy .wpcf7-list-item-label {
        padding-left: 29px;
    }
    .p-contactContent__contents--privacy .wpcf7-list-item-label::before {
        height: 18px;
        width: 18px;
    }
    .p-contactContent__contents--privacy .wpcf7-list-item-label::after {
        height: 18px;
        width: 18px;
    }

    .p-contactContent__contents--btn {
        margin-top: 30px;
    }
    .p-contactContent__contents--btn.--confirm {
        margin-top: 35px;
    }

    .p-contactContent__btn {
        height: 88px;
    }

    .p-contactContent__btn--txt {
        font-size: 16px;
    }

    .p-contactContent__btn input[type=button] {
        position: absolute;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        opacity: 0;
    }

    .p-contactContent__btn--arrow {
        right: 30px;
    }

    .p-contactContent__back {
        position: relative;
        text-align: center;
        margin-top: 20px;
        font-size: 14px;
        text-align: center;
        left: unset;
        bottom: unset;
    }

    .p-contactContent__back input {
        font-size: 14px;
    }

    .p-contactInput__privacy--recaptcha {
        margin-top: 12px;
        font-size: 10px;
    }
}

/* --- ① 本物のプルダウンは非表示にする（でも存在はしている） --- */
#kind {
    display: none !important;
}

/* --- ② 全体のラッパー --- */
.custom-select-wrapper {
    position: relative;
    user-select: none;
    width: 100%;
}

/* --- ③ 画面に表示されるボタン（選択された値が表示される場所） --- */
.custom-select-trigger {
    position: relative;
    padding: 19px 28px;
    background: #191919;
    border-radius: 6px;
    cursor: pointer;
    transition: all 0.3s ease;
    height: 70px;
    color: #fff;
    font-size: 18px;
    font-weight: 600;
    line-height: 1.8;
    letter-spacing: .02em;
}

/* 選択された時の色（JavaScriptと連動） */
.custom-select-trigger.selected-work { color: #fff; background-color: #4832F4; }
.custom-select-trigger.selected-recruit { color: #fff; background-color: #FF6A23; }
.custom-select-trigger.selected-other { color: #191919; background-color: #CFF224; }


/* --- ④ ビヨンと出てくる選択肢のリスト（ここをカスタムしたかった！） --- */
.custom-options {
    position: absolute;
    display: block;
    top: 100%;
    left: 0;
    right: 0;
    margin: 5px 0 0 0;
    padding: 0;
    list-style: none;
    background: rgba(25, 25, 25, 0.60);
    backdrop-filter: blur(22.5px);
    border-radius: 6px;
    z-index: 999;
    
    /* 初期状態は非表示（透明＆上に少しズラす） */
    opacity: 0;
    visibility: hidden;
    transform: translateY(-5px);
    transition: all 0.3s ease; /* ふんわりビヨンと出すアニメーション */
}

/* クラス「is-open」がついたらふわっと表示 */
.custom-select-wrapper.is-open .custom-options {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

/* --- ⑤ リストの中の選択肢（ひとつひとつ） --- */
.custom-option {
    padding: 25px 28px;
    color: #fff;
    cursor: pointer;
    position: relative;
    font-size: 18px;
    font-weight: 600;
    line-height: 1.8;
    letter-spacing: .02em;
}
.custom-option::before {
    background-color: #b8b8b8;
    content: '';
    height: 1px;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    top: 0;
    width: 93%;
}
.custom-option:nth-of-type(1)::before {
    content: none;
}

.custom-option:first-child {
    border-radius: 6px 6px 0 0;
}
.custom-option:last-child {
    border-radius: 0 0 6px 6px;
}

@media screen and (max-width: 900px) {
    .custom-select-trigger {
        padding: 15px 20px;
        height: 55px;
        font-size: 14px;
    }

    .custom-option {
        padding: 15px 20px;
        font-size: 14px;
    }
}

.p-contact__under {
    padding-top: 100px;
}